<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
 <!-- Compiled and minified CSS -->
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/css/materialize.min.css">

  <!-- Compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.96.1/js/materialize.min.js"></script>


	<title>Ordenamiento</title>
</head>
<body>
<div class="container">
	<div class="row">
	<h2>Ordenamiento de Datos (Automático)</h2>
    <div class="input-field col s6">
    <form id="enviar">
      <input value="" id="numero" type="number" class="validate" placeholder="Ejemplo: 0" required>
      <label class="active" for="first_name2">Inserta un número</label>
		      <button class="btn waves-effect waves-light" type="submit" name="action">Insertar
		    <i class="mdi-content-send right"></i>
		  </button> 
	</form>
     </div>
  </div>


  <div class="row">
  	 <table id="num">
        <thead>
          <tr>
              <th data-field="id">id</th>
              <th data-field="number">Número</th>
          </tr>
        </thead>

        <tbody>
        </tbody>
      </table>
  </div>
</div>
</body>
</html>

<script type="text/javascript">
numeros = Array();
options ="";
	$('#enviar').submit(function(e){
    e.preventDefault();
    var numero = $("#numero").val();
    numeros.push(numero);

    numeros = ordenar(numeros);

    for (var i = 0; i < numeros.length; i++) {
    	var con = i+1;
    	options=options + '<tr><td>'+con+'</td><td>'+numeros[i]+'</td></tr>';
    };

    options = "<tbody>"+options+"</tbody>";
    $('#num tbody').replaceWith(options);
    console.log(numeros);
    options = "";
    $("#numero").val('');
  });
	

function ordenar(numeros){

	if (numeros.length == 0){
		return [];
	}

	var left = Array();
    var right = Array();
    var pivot = numeros[0];

    for (var i = 1; i < numeros.length; i++) {
    	numeros[i]=parseInt(numeros[i]);
    	if (numeros[i] < pivot) {
    		left.push(numeros[i]);
    		} else {
    			right.push(numeros[i]);
    		}
    	}
    	return ordenar(left).concat(pivot, ordenar(right));
}
</script>
